Spring Web Flow

org.springframework.faces.webflow.context.portlet
Class RequestParameterMap

java.lang.Object
  extended by org.springframework.binding.collection.StringKeyedMapAdapter
      extended by org.springframework.webflow.context.portlet.PortletRequestParameterMap
          extended by org.springframework.faces.webflow.context.portlet.RequestParameterMap
All Implemented Interfaces:
java.util.Map

public class RequestParameterMap
extends PortletRequestParameterMap

Map backed by a PortletContext for accessing Portlet request parameters. Request parameters can have multiple values. The setUseArrayForMultiValueAttributes(Boolean) property allows choosing whether the map will return:

Since:
2.2.0
Author:
Rossen Stoyanchev
See Also:
PortletRequest.getParameter(String), PortletRequest.getParameterValues(String)

Nested Class Summary
 
Nested classes/interfaces inherited from interface java.util.Map
java.util.Map.Entry<K,V>
 
Constructor Summary
RequestParameterMap(javax.portlet.PortletRequest portletRequest)
           
 
Method Summary
protected  java.lang.Object getAttribute(java.lang.String key)
          Hook method that needs to be implemented by concrete subclasses.
 void setUseArrayForMultiValueAttributes(java.lang.Boolean useArrayForMultiValueAttributes)
           
 java.lang.Boolean useArrayForMultiValueAttributes()
          This property allows choosing what kind of attributes the map will return: String - selects the first value in case of multiple value parameters String[] - wraps single-values parameters as array String or String[] - depends on the values of the parameter The above choices correspond to the following values for useArrayForMultiValueAttributes: False True null
 
Methods inherited from class org.springframework.webflow.context.portlet.PortletRequestParameterMap
getAttributeNames, removeAttribute, setAttribute
 
Methods inherited from class org.springframework.binding.collection.StringKeyedMapAdapter
clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 
Methods inherited from interface java.util.Map
equals, hashCode
 

Constructor Detail

RequestParameterMap

public RequestParameterMap(javax.portlet.PortletRequest portletRequest)
Method Detail

setUseArrayForMultiValueAttributes

public void setUseArrayForMultiValueAttributes(java.lang.Boolean useArrayForMultiValueAttributes)

useArrayForMultiValueAttributes

public java.lang.Boolean useArrayForMultiValueAttributes()
This property allows choosing what kind of attributes the map will return:
  1. String - selects the first value in case of multiple value parameters
  2. String[] - wraps single-values parameters as array
  3. String or String[] - depends on the values of the parameter
The above choices correspond to the following values for useArrayForMultiValueAttributes:
  1. False
  2. True
  3. null


getAttribute

protected java.lang.Object getAttribute(java.lang.String key)
Description copied from class: StringKeyedMapAdapter
Hook method that needs to be implemented by concrete subclasses. Gets a value associated with a key.

Overrides:
getAttribute in class PortletRequestParameterMap
Parameters:
key - the key to lookup
Returns:
the associated value, or null if none

Spring Web Flow